Summary:        Parse text into an array of tokens or array of arrays
Name:           perl-Text-ParseWords
Version:        3.31
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-ParseWords
Source0:        https://cpan.metacpan.org/authors/id/C/CH/CHORNY/Text-ParseWords-%{version}.tar.gz

BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) perl(Carp) perl(Exporter) perl(strict)
BuildRequires:  perl(Test::More) perl(warnings)
Requires:       perl(Carp)

BuildArch:      noarch

%description
The nested_quotewords() and quotewords() functions are two functions that accept a delimiter 
and a list of lines and then breaks those lines up into a list of words ignoring delimiters 
that appear inside quotes. quotewords() returns all of the tokens in a single long list, 
while nested_quotewords() returns a list of token lists corresponding to the elements of 
@lines. parse_line() does tokenizing on a single string. The quotewords() functions simply 
call &parse_line(), so if you're only splitting one line you can call parse_line() directly 
and save a function call.

%prep
%autosetup -n Text-ParseWords-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.31-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.31-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.31-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.31-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.31-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Cheng Xin <denisecheng@tencent.com> - 3.31-1
- package init.


